package com.yizhi.live.application.constant;

import java.util.Arrays;
import java.util.List;

/**
 * @Date 2020/9/23 8:21 下午
 * @Author lvjianhui
 **/
public enum EvenType {

    COURSE_UP(1L, Arrays.asList(1, 2)),
    COURSE_FINISH(2L, Arrays.asList(1, 2)),
    ENROLL_START(3L, Arrays.asList(1, 3, 4, 5)),
    TRAINING_AUDIT_PASS(4L, Arrays.asList(1, 3, 4, 5)),
    TRAINING_AUDIT_FAIL(5L, Arrays.asList(1, 3, 4, 5)),
    SIGN_SUCCESS(6L, Arrays.asList(1, 3, 4, 5)),
    TRAINING_FINISH(7L, Arrays.asList(1, 3, 4, 5)),
    ASSIGNMENT_AUDIT_FINISH(8L, Arrays.asList(1, 6, 7, 8)),
    EXAM_AUDIT_FINISH(9L,Arrays.asList(1, 9, 10, 11)),
    POINT_CHANGE(10L, Arrays.asList(1, 12, 13, 14));

    private Long key;
    private List<Integer> fieldType;

    private EvenType(Long key, List<Integer> fieldType) {
        this.key = key;
        this.fieldType = fieldType;
    }

    public Long getKey() {
        return this.key;
    }

    public List<Integer> getName() {
        return this.fieldType;
    }
}
