package com.yizhi.live.application.vo;

import com.yizhi.core.application.context.RequestContext;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
直播回放vo
 */
@Api
@Data
public class LiveReplayInfoVo {

    private static final long serialVersionUID = 1L;


	@ApiModelProperty(value = "直播回放ID")
	private Long replayId;

	@ApiModelProperty(value = "是否使用本身封面；true是；false不是")
	private Boolean defaultLogo;

	@ApiModelProperty(value = "回放封面图")
	private String replayLogoUrl;

	@ApiModelProperty(value = "主播名称")
	private String anchor;

	@ApiModelProperty(value = "回放图片说明")
	private String imageDesc;


	private RequestContext context;

}
