package com.yizhi.live.application.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Date 2020/9/23 8:16 下午
 * @Author lvjianhui
 **/
@Data
public class MessageTaskRemindVo implements Serializable {
    @ApiModelProperty("待发消息id")
    private Long messageRemindId;
    @ApiModelProperty("提醒时间事件类型 1：业务开始时间、 2：业务结束时间、3：自定义时间")
    private Integer timeEventType;
    @ApiModelProperty("发生时间枚举：1：五分钟前、2：十分钟前、3：三十分钟前、4：一个小时前、5：两个小时前、6：一天前、7：两天前")
    private Integer timeType;
    @ApiModelProperty("最终发送时间")
    private Date sendTime;
}
