package com.yizhi.live.application.enums;

public enum  PolyvReqEnum {

    APP_ID("appId","从API设置中获取，在直播系统登记的appId"),
    TIMESTAMP("timestamp","当前13位毫秒级时间戳，3分钟内有效"),
    SIGN("sign","签名，32位大写MD5值"),
    CHANNEL_IDS("channelIds","多个频道ID，用逗号隔开"),
    CHANNEL_ID("channelId","多个频道ID，用逗号隔开"),
    LIVE("live","开始直播"),
    END("end","直播结束"),
    START_DATE("startDate","开始时间"),
    END_DATE("endDate","结束时间"),
    ;


    private String name;
    private String value;

    PolyvReqEnum(String name, String value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
